Selectionner des objets

il y a 2 ans 5 mois #229 par onlyforpeace
je suis en train de faire un script pour exporter tout les objects contenu dans des courbes fermés.
l'ensemble de ces courbes fermées est sélectionné par un calque, donc, avec la fonction getlayer, je sélectionne le calque, et pour chaque courbe fermé contenu dans ce calque, le script exporte tout le contenu vers un fichier. mais il arrive que dans ce calque sélectionner une partie des courbes est a exporter à un autre moment... donc j'aimerais qu'une fois que j'ai sélectionné le calque le script sélectionne ( arrcadre) toute les courbes, puis me permette de sélectionner d'autre courbe ou de désélectionner certaines...

arrcadre = Rhino.ObjectsByLayer(rhino.getlayer)
rhino.selectobjets arrcadre
arrcadre= rhino.getobjects (" ajouter ou supprimer des éléments de la sélection:")
....
....
mais la ligne "getobjects" deselectionne la selection d'avant..., je ne trouve pas comment faire...

Connexion pour participer à la conversation.

il y a 2 ans 5 mois - il y a 2 ans 5 mois #231 par SwissRhino
Malheureusement ce n'est pas possible ni avec Rhinoscript (vb) ni avec rhinoscriptsyntax (python). La seule possibilité est Python/RhinoCommon avec env. une vingtaine de lignes de code...

developer.rhino3d.com/samples/rhinocommon/prepostpick/

--Mitch

Connexion pour participer à la conversation.

il y a 2 ans 5 mois #232 par onlyforpeace
en fait c'est un autre langage de prog?
il s'edite dans une autre fenetre que Rhinoscript?

Connexion pour participer à la conversation.

Modérateurs: SwissRhinoJenniferJoao
Temps de génération de la page : 0.148 secondes
Propulsé par Kunena

Powered by


3d design training



cadlantique.com


swissrhino.com